libfuse

invalidate_path.c File Reference
`#include <fuse.h>`
`#include <fuse_lowlevel.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <fcntl.h>`
`#include <assert.h>`
`#include <stddef.h>`
`#include <unistd.h>`
`#include <pthread.h>`

## Detailed Description

This example implements a file system with two files:

- 'current-time', whose contents change dynamically: it always contains the current time (same as in notify_inval_inode.c).
- 'growing', whose size changes dynamically, growing by 1 byte after each update. This aims to check if cached file metadata is also invalidated.

## Compilation

    gcc -Wall